/*
 * file CmiCallback.java
 *
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM
 *
 * com.ibm.rational.wvcm.stp.cmi.CmiCallback
 *
 * (C) Copyright IBM Corporation 2014.  All Rights Reserved.
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

package com.ibm.rational.wvcm.stp.cmi;

import javax.wvcm.WvcmException;
import javax.wvcm.ProviderFactory.Callback.Authentication;

import com.ibm.rational.wvcm.stp.StpProvider.Domain;
import com.ibm.rational.wvcm.stp.StpProvider.StpCallback;

/**
 * An interface for allowing CMI callers to perform authentication
 * actions when they don't have a provider.
 */
public interface CmiCallback extends StpCallback {
    
    public void clearAuthentication(String realm,
                                    String serverUrl);
    
    public Authentication getAuthenticationEx(Domain domain,
                                              String realm,
                                              int retryCount,
                                              String serverUrl,
                                              WvcmException failure)
          throws WvcmException;
}
